#include <secure_storage/secure_storage_plugin.h>
#include <flutter/method-channel.h>

void SecureStoragePlugin::RegisterWithRegistrar(PluginRegistrar &registrar)
{
    registrar.RegisterMethodChannel("secure_storage",
                                    MethodCodecType::Standard,
                                    [this](const MethodCall &call) { this->onMethodCall(call); });
}

void SecureStoragePlugin::onMethodCall(const MethodCall &call)
{
    const auto &method = call.GetMethod();

    if (method == "available") {
        call.SendSuccessResponse(storage.available());
        return;
    }

    unimplemented(call);
}

void SecureStoragePlugin::unimplemented(const MethodCall &call)
{
    call.SendSuccessResponse(nullptr);
}
